Library_Epam/Controllers/CommentsController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Library_Epam.TestData;

namespace Library_Epam.Controllers
{
    public class CommentsController : Controller
    {
        // GET: Comments
        [HttpGet]
        public ActionResult Index()
        {
            ViewBag.Comments = TestData.Data.Comments;
            return View();
        }

        [HttpPost]
        public ActionResult Index(string Name, string Text)
        {
            TestData.Data.Comments.Add(new Comment()
            {
                Author = Name,
                Text = Text,
                Date = DateTime.Now,
            });
           
            return RedirectToAction("Index");
        }
    }
}

Library_Epam/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;
using Library_Epam.DAL;
using Library_Epam.DAL.Entities;

namespace Library_Epam.Controllers
{
    public class HomeController : Controller
    {
        private UnitOfWork _unitOfWork;

        public HomeController()
        {

            _unitOfWork = new UnitOfWork(ConfigurationManager.ConnectionStrings["DBConnection"].ToString());
        }

        public async Task<ActionResult> Index()
        {

            //await _unitOfWork.AuthorRepository.DeleteByIdAsync(4);
            //await _unitOfWork.SaveAsync();
            

            return View(TestData.Data.Articles);
        }
    }
}

Library_Epam/Controllers/QuestionaryController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting.Metadata.W3cXsd2001;
using System.Web;
using System.Web.Mvc;
using System.Web.UI.WebControls;

namespace Library_Epam.Controllers
{
    public class QuestionaryController : Controller
    {
        // GET: Questionary
        [HttpGet]
        public ActionResult Index()
        {
            ViewBag.Colors = new string[]
            {
                "Green", "Blue", "Red"
            };
            ViewBag.Characters = new[]
            {
                "Storm", "Wolwerine", "Cyclopus", "Tick",
            };
            return View();
        }


        [HttpPost]
        public ActionResult Index(string Sex, string SuperFluous, string Colors, bool One, bool Two, bool Three)
        {
            return RedirectToAction("Result", new { sex = Sex, character = SuperFluous, color = Colors, n1 = One, n2 = Two, n3 = Three });
        }

        public ActionResult Result(string sex, string character, string color, bool n1, bool n2, bool n3)
        {
            List<string> oddNumbers = new List<string>();

            if (n1)
                oddNumbers.Add("One");
            if (n2)
                oddNumbers.Add("Two");
            if (n3)
                oddNumbers.Add("Three");


            ViewBag.OddNumbers = oddNumbers.ToArray();
            ViewBag.Sex = sex;
            ViewBag.Character = character;
            ViewBag.Color = color;
            return View();
        }
    }
}

Library_Epam/Views/Comments/Index.cshtml
@using (Html.BeginForm())
{

    <div class="form-group ">
        <label class="mb-1">Name</label>
        <input type="text" name="Name" class="form-control mb-1" placeholder="Enter your name">
    </div>
    <div class="form-group">
        <label class="mb-1">Text</label>
        <input type="text" name="Text" class="form-control mb-3" placeholder="Enter text">
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
}

@foreach (var comment in ViewBag.Comments)
{
    <div class="pt-3 px-4 mb-4">
        <div class="d-flex">
            <b class="me-4">@comment.Author</b>
            <p>@comment.Date.ToString("d")</p>
        </div>
        <p>@comment.Text</p>
        <hr>
    </div>
}

Library_Epam/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}
@using System.Globalization
@model IEnumerable<Library_Epam.TestData.Article>

@foreach (var article in Model)
{
<div class="card pt-3 px-4 mb-2">
 
        <div class="card-body  d-flex flex-column">

            <h5 class="card-title">@article.Title</h5>
            <p class="card-text">@article.Text</p>
            <div class="d-flex justify-content-end ">
                <p href="#" class="me-3">@article.Author</p>
                <p href="#" class="me-3">@article.Date.ToString("MM/dd/yyyy")</p>
            </div>


        </div>
  
</div>
}

Library_Epam/Views/Questionary/Index.cshtml
@using Library_Epam.Helpers


<h3 class="mb-4">Please fill the form below</h3>
@using (Html.BeginForm())
{

    <dl class="row">
        <dt class="col-sm-5">What's your favorite color?</dt>
        <dd class="col-sm-7">
            <select class="form-select" id="Colors" name="Colors">
                @foreach (var color in (string[])ViewBag.Colors)
                {
                    <option>@color</option>
                }
            </select>
        </dd>
        <dd class="mb-2"></dd>

        <dt class="col-sm-5">Your sex?</dt>
        <dd class="col-sm-7">

            <input id="Sex" name="Sex" type="radio" value="Male" class="form-check-input">
            <span>Male</span><br />


            <input id="Sex" name="Sex" type="radio" value="Female" class="form-check-input">
            <span>Female</span><br />

            <input id="Sex" name="Sex" type="radio" value="Non-binary" class="form-check-input">
            <span>Non-binary person</span><br />
        </dd>

        <dt class="col-sm-5">
            Who is superfluous on the list?
            @Html.CreateListExtension((string[])ViewBag.Characters)
        </dt>
        <dd class="col-sm-7">
            <label class="mb-1">Enter your answer</label><br />

            <input class="form-control" id="SuperFluous" name="SuperFluous" type="text" value="">
        </dd>

        <dt class="col-sm-5">Select odd numbers</dt>
        <dd class="col-sm-7">
            <input class="form-check-input" id="One" name="One" type="checkbox" value="true"><input name="One" type="hidden" value="false">
            <span>1</span>
            <input class="form-check-input" id="Two" name="Two" type="checkbox" value="true"><input name="Two" type="hidden" value="false">
            <span>2</span>
            <input class="form-check-input" id="Three" name="Three" type="checkbox" value="true"><input name="Three" type="hidden" value="false">
            <span>3</span>

        </dd>


        <dt class="col-sm-5"></dt>
        <dd class="col-sm-7">

            <input type="submit" class="btn btn-primary" value="Submit" />

        </dd>



    </dl>

}

Library_Epam/Views/Questionary/Result.cshtml
@using Library_Epam.Helpers

@{
    ViewBag.Title = "Result";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h3 class="mb-4">Results</h3>


<dl class="row">
    <dt class="col-sm-5">Favorite color</dt>
    <dd class="col-sm-7">

       @ViewBag.Color

    </dd>
    <dd class="mb-2"></dd>

    <dt class="col-sm-5">Sex</dt>
    <dd class="col-sm-7">
     @ViewBag.Sex
    </dd>

    <dt class="col-sm-5">
        Superfluous character
    </dt>
    <dd class="col-sm-7">
        @ViewBag.Character
    </dd>

    <dt class="col-sm-5">Odd</dt>
    <dd class="col-sm-7">
        @Html.CreateListExtension((string[])ViewBag.OddNumbers)
    </dd>



    <dt class="col-sm-5"></dt>
    <dd class="col-sm-7">

        <a href="@Url.Action("Index", "Questionary")" class="btn btn-primary">Return</a>

    </dd>



</dl>

Library_Epam/Views/Shared/Partial/Footer.cshtml
<footer class="p-4 my-5 text-center text-muted border-top">
    Kobetskyi Kostiantyn | k.kobetskoy@outlook.com  | © 2021
</footer>

Library_Epam/Views/Shared/Partial/Header.cshtml
<header class="d-flex align-items-center  m-4">
    <a href="#" class="d-flex align-items-center text-dark text-decoration-none">
        <img src="~/Content/img/logo.jpg" alt="logo" height="40px">
        <span class="fs-4 px-4">Mountain Books</span>
    </a>
</header>

Library_Epam/Views/Shared/Partial/Menu.cshtml
<div class="col-md-3 bg-light">
    <div class="d-flex flex-column flex-shrink-0 py-4 bg-light">
        <ul class="nav nav-pills flex-column mb-auto">
            <li class="nav-item">
                <a href="@(Url.Action("Index", "Home"))" class="nav-link">
                    Home
                </a>
            </li>
            <li>
                <a href="@(Url.Action("Index", "Comments"))" class="nav-link">
                    Comments
                </a>
            </li>
            <li>
                <a href="@(Url.Action("Index", "Questionary"))" class="nav-link">
                    Questionary
                </a>
            </li>
        </ul>
    </div>
</div>

Library_Epam/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title </title>
    <link href="~/Content/bootstrap/css/bootstrap.css" rel="stylesheet" />
</head>
<body>

    @Html.Partial("Partial/Header")


    <div class="col-lg-8 mx-auto p-3">
        <main>
            <div class="row g-5">
                @Html.Partial("Partial/Menu")

                <div class="col-md-9">
                    @RenderBody()
                </div>
            </div>
        </main>
    </div>





    

    @Html.Partial("Partial/Footer")


   
</body>
</html>

Library_Epam/Views/Test/Index.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>